{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}
{% extends '_public_layout.html.twig' %}

{% block content %}
	<div class="container" style="padding-top: 7%;padding-bottom: 7%;">
		<div class="row">
            <div class="col-lg-offset-2 col-lg-4 col-sm-6">
                <div class="box box-widget m-b-0">
                    <div class="box-header with-border">
                        <h3 class="box-title leading-[inherit]">Vous avez un compte sur la plateforme producteur ?</h3>
                    </div>
                    <div class="box-body p-15">
                        <p class="text-muted mb-3">Vous pouvez utiliser votre compte producteur DATAtourisme pour vous identifier sur le module qualité.</p>
                        <p class="text-muted mb-3">En cliquant sur le bouton ci-dessous, vous serez redirigé vers le formulaire d'authentification de la plateforme producteur :</p>
                        <a class="btn btn-primary btn-block" type="submit" href="{{ path('sso.login') }}">Utiliser mon compte producteur</a>
                    </div>
                </div>
            </div>
			<div class="col-lg-4 col-sm-6">
				<div class="box box-widget mb-0">
                    <div class="box-header with-border">
                        <h3 class="box-title leading-[inherit]">Accès offices de tourisme et autres contributeurs</h3>
                    </div>
					<div class="box-body">
						<p class="text-muted m-b-10">Identifiez-vous pour commencer la session :</p>

						{% if error %}
							<div class="alert alert-danger">{{ error.messageKey | trans(error.messageData, 'security') }}</div>
						{% endif %}

						<form action="{{ path('security.login') }}" method="post">
							<div class="form-group has-feedback">
								<input type="email" id="username" name="_username" value="{{ last_username }}" class="form-control" placeholder="Email" autocomplete="off">
								<span class="fa fa-envelope form-control-feedback"></span>
							</div>
							<div class="form-group has-feedback">
								<input type="password" id="password" name="_password" class="form-control" placeholder="Mot de passe" autocomplete="off">
								<span class="fa fa-lock form-control-feedback"></span>
							</div>
							<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
							<button class="btn btn-primary btn-block" type="submit">Connexion</button>
						</form>
					</div>

					<div
						class="box-footer"><a href="{{ path('security.reset_password') }}">J'ai oublié mon mot de passe !</a>
					</div>
				</div>
			</div>
		</div>
	</div>
{% endblock %}
